Platform API · Agent bots
Get an agent bot details
GET/
Get the details of an agent bot
Authorization
api_access_tokenheaderrequiredA platform app's token. Platform apps exist only on a dedicated instance, made in its super admin console. On Texa's shared hosting this API is not open to companies.
Path parameters
idintegerrequiredThe ID of the agentbot to be updated
Responses
200Success
idnumberID of the agent bot
namestringThe name of the agent bot
descriptionstringThe description about the agent bot
thumbnailstringThe thumbnail of the agent bot
outgoing_urlstringThe webhook URL for the bot
bot_typestringThe type of the bot
bot_configobjectThe configuration of the bot
account_idnumberAccount ID if it's an account specific bot
access_tokenstringThe access token for the bot
system_botbooleanWhether the bot is a system bot
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404The given agent bot ID does not exist
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring